package models

import (
	"github.com/beego/beego/v2/client/orm"
)

type Edbinfo struct {
	TradeCode    string `orm:"column(TRADE_CODE);pk" description:"指标code"`
	SecName      string `orm:"column(SEC_NAME);" description:"指标名称"`
	Unit         string `orm:"column(UNIT);" description:"单位"`
	Remark       string `orm:"column(REMARK);" description:"备注"`
	Frequency    string `description:"频度"`
	ClassifyId   int    `description:"分类id"`
	ClassifyName string `description:"分类名称"`
	CreateDate   string `description:"创建时间"`
	UserId       int    `description:"录入用户id"`
	UserName     string `description:"录入用户名称"`
	NoticeTime   string `description:"通知时间"`
	Mobile       string `description:"录入者手机号"`
}

func GetEdbinfoByTradeCode(tradeCode string) (item *Edbinfo, err error) {
	sql := `SELECT * FROM edbinfo WHERE TRADE_CODE=? `
	o := orm.NewOrmUsingDB("edb")
	err = o.Raw(sql, tradeCode).QueryRow(&item)
	return
}
